### Method

# Gtk Widgetset_child_visible

#### Declaration [src]

    void
    gtk_widget_set_child_visible (
      GtkWidget* widget,
      gboolean child_visible
    )

#### Description [src]

Sets whether `widget` should be mapped along with its parent.

The child visibility can be set for widget before it is added to a container with `gtk_widget_set_parent()`, to avoid mapping children unnecessary before immediately unmapping them. However it will be reset to its default state of `TRUE` when the widget is removed from a container.

Note that changing the child visibility of a widget does not queue a resize on the widget. Most of the time, the size of a widget is computed from all visible children, whether or not they are mapped. If this is not the case, the container can queue a resize itself.

This function is only useful for container implementations and should never be called by an application.

#### Parameters

`child_visible`

  Type: `gboolean`

  If `TRUE`, `widget` should be mapped along with its parent.